Bug 24186 - [4.0/4.1/4.2/4.3 Regression] interface and extends does not cause us to reject invalid code
[4.0/4.1/4.2/4.3 Regression] interface and extends does not cause us to rejec...
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: java
4.1.0
: P5 normal
: 4.3.0
Assigned To: Not yet assigned to anyone
: accepts-invalid
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 23:53 UTC by Andrew Pinski
Modified: 2007-01-09 20:48 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work: 3.3.3 3.0.4 3.2.3
Known to fail: 3.4.0 4.0.0 4.1.0
Last reconfirmed: 2006-02-13 03:42:41


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Pinski 2005-10-03 23:53:02 UTC
interface a
{
  void f();
}

class b
{
  void f(){}
}
class d extends b implements a
{
 void f(){}
  static public void main(String args[])
  {
    d eee = new d();
    eee.f();
  }
}
Comment 1 Andrew Pinski 2005-11-12 05:50:44 UTC
Confirmed.
Comment 2 Mark Mitchell 2006-05-25 02:36:22 UTC
Will not be fixed in 4.1.1; adjust target milestone to 4.1.2.
Comment 3 Tom Tromey 2007-01-09 20:48:09 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.